package cz.vsb.jtestserver.action;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatPredmetForm;
import cz.vsb.jtestserver.service.PredmetManager;
import cz.vsb.jtestserver.util.ServerUtil;
import cz.vsb.jtestserver.view.UserView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;

public class PridatPredmetAction extends Action {

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		PridatPredmetForm frm = (PridatPredmetForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			UserView userView = (UserView) request.getSession().getAttribute(
					IConstants.USER_VIEW_KEY);
			PredmetManager mm = new PredmetManager(userView);
			frm.setPredmet(mm.findPredmetyAdd());

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;

	}
}
