package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.SaveOdstranitPredmetForm;
import cz.vsb.jtestserver.service.PredmetManager;
import cz.vsb.jtestserver.util.ServerUtil;
import cz.vsb.jtestserver.view.UserView;

public class SaveOdstranitPredmetAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		SaveOdstranitPredmetForm frm = (SaveOdstranitPredmetForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			UserView userView = (UserView) request.getSession().getAttribute(
					IConstants.USER_VIEW_KEY);
			String predmetKod = frm.getPredmet();
			String kod = predmetKod.substring(0, predmetKod.indexOf(" - "));
			kod.trim();

			PredmetManager mm = new PredmetManager(userView);
			mm.deletePredmet(kod);

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}
}
