package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatUlohaCviceniForm;
import cz.vsb.jtestserver.service.CviceniManager;
import cz.vsb.jtestserver.util.ServerUtil;

public class SavePridatUlohuCviceniAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		PridatUlohaCviceniForm metodaform = (PridatUlohaCviceniForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			CviceniManager cm = new CviceniManager();

			Integer idUlohy = metodaform.getUloha();
			Integer idCviceni = metodaform.getIdCviceni();
			cm.addUlohaCviceni(idCviceni, idUlohy);

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}

}
