package cz.vsb.jtestserver.action;

import java.util.List;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.ZobrazVysledkyStudentuForm;
import cz.vsb.jtestserver.service.VysledkyManager;
import cz.vsb.jtestserver.util.ServerUtil;
import cz.vsb.jtestserver.view.CviceniView;
import cz.vsb.jtestserver.view.VysledkyView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;

public class ZobrazVysledkyStudentuAction extends Action {

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		ZobrazVysledkyStudentuForm frm = (ZobrazVysledkyStudentuForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			CviceniView cviceniView = (CviceniView) request.getSession()
					.getAttribute(IConstants.CVICENI_VIEW_KEY);

			VysledkyManager vm = new VysledkyManager();
			List<VysledkyView> obj = vm.findVysledkyStudentu(cviceniView
					.getIdRozvrhu(), cviceniView.getIdCviceni());
			frm.setVysledky(obj);

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}

}
