package cz.vsb.jtestserver.form;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import cz.vsb.jtestserver.view.CviceniView;

public class PridatCviceniForm extends ActionForm {
	private static final long serialVersionUID = 1L;

	private Integer idCviceni;

	private Integer idRozvrhu;

	private Integer cisloCviceni;

	private List<Integer> moznaCisla;

	private String nazevCviceni;

	private String popisCviceni;

	public void setIdCviceni(Integer idCviceni) {
		this.idCviceni = idCviceni;
	}

	public void setIdRozvrhu(Integer idRozvrhu) {
		this.idRozvrhu = idRozvrhu;
	}

	public void setCisloCviceni(Integer cisloCviceni) {
		this.cisloCviceni = cisloCviceni;
	}

	public void setNazevCviceni(String nazevCviceni) {
		this.nazevCviceni = nazevCviceni;
	}

	public void setPopisCviceni(String popisCviceni) {
		this.popisCviceni = popisCviceni;
	}

	public void setMoznaCisla(List<Integer> moznaCisla) {
		this.moznaCisla = moznaCisla;
	}

	public Integer getIdCviceni() {
		return this.idCviceni;
	}

	public Integer getIdRozvrhu() {
		return this.idRozvrhu;
	}

	public Integer getCisloCviceni() {
		return this.cisloCviceni;
	}

	public String getNazevCviceni() {
		return this.nazevCviceni;
	}

	public String getPopisCviceni() {
		return this.popisCviceni;
	}

	public List<Integer> getMoznaCisla() {
		return moznaCisla;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest req) {
		ActionErrors errors = new ActionErrors();

		if (cisloCviceni == null) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.cisloCviceni"));
		}

		if (nazevCviceni == null || nazevCviceni.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.nazevCviceni"));
		}

		if (popisCviceni == null || popisCviceni.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.popisCviceni"));
		}
		return errors;
	}

	public void naplnit(CviceniView cv) {
		this.idCviceni = cv.getIdCviceni();
		this.idRozvrhu = cv.getIdRozvrhu();
		this.cisloCviceni = cv.getCisloCviceni();
		this.nazevCviceni = cv.getNazevCviceni();
		this.popisCviceni = cv.getPopisCviceni();
	}
}
