package cz.vsb.jtestserver.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import cz.vsb.jtestserver.view.UlohaView;

public class PridatUlohuForm extends ActionForm {

	private static final long serialVersionUID = 1L;

	private Integer idUlohy;

	private String nazevUlohy;

	private String popisUlohy;

	private String textUlohy;

	private String jmenoTridy;

	public Integer getIdUlohy() {
		return idUlohy;
	}

	public String getNazevUlohy() {
		return nazevUlohy;
	}

	public String getPopisUlohy() {
		return popisUlohy;
	}

	public String getTextUlohy() {
		return textUlohy;
	}

	public String getJmenoTridy() {
		return jmenoTridy;
	}

	public void setIdUlohy(Integer idUlohy) {
		this.idUlohy = idUlohy;
	}

	public void setNazevUlohy(String nazevUlohy) {
		this.nazevUlohy = nazevUlohy;
	}

	public void setPopisUlohy(String popisUlohy) {
		this.popisUlohy = popisUlohy;
	}

	public void setTextUlohy(String textUlohy) {
		this.textUlohy = textUlohy;
	}

	public void setJmenoTridy(String jmenoTridy) {
		this.jmenoTridy = jmenoTridy;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest req) {
		ActionErrors errors = new ActionErrors();

		if (nazevUlohy == null || nazevUlohy.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.nazevUlohy"));
		}

		if (popisUlohy == null || popisUlohy.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.popisUlohy"));
		}

		if (textUlohy == null || textUlohy.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.textUlohy"));
		}

		if (jmenoTridy == null || jmenoTridy.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"error.jmenoTriy"));
		}
		return errors;
	}

	public void naplnit(UlohaView uv) {
		this.idUlohy = uv.getIdUlohy();
		this.nazevUlohy = uv.getNazevUlohy();
		this.popisUlohy = uv.getPopisUlohy();
		this.textUlohy = uv.getTextUlohy();
		this.jmenoTridy = uv.getJmenoTridy();
	}
}
