package cz.vsb.jtestserver.service;

import cz.vsb.jtestserver.util.Database;
import cz.vsb.jtestserver.view.TestMetodaView;
import cz.vsb.jtestserver.view.TestView;

import java.util.ArrayList;
import java.util.List;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import org.apache.log4j.Logger;

public class TestyManager {

	static Logger logger = Logger.getLogger(TestyManager.class);
	
	public List<TestView> findTesty(int idUlohy) {
		ArrayList<TestView> testy = new ArrayList<TestView>();
		Connection con = null;
		try {
			con = Database.getConnection();
			String query = "SELECT * FROM testy WHERE id_ulohy = " 
				+ idUlohy;
			logger.debug(query);
			Statement sql = con.createStatement();
			ResultSet result = sql.executeQuery(query);
			while (result.next()) {
				testy.add(createTestyFormRS(result));
			}
                        result.close();
                        sql.close();
                        con.close();
		} catch (SQLException e) {
			logger.error(e, e);
		}
		return testy;
	}

	public List<TestMetodaView> findMetodyTesty(List<TestView> testy) {
		ArrayList<TestMetodaView> testyMetody = new ArrayList<TestMetodaView>();
		Connection con = null;
		try {
			con = Database.getConnection();
			for (TestView test : testy) {
				String query = "SELECT * FROM testy_metody WHERE id_testu = "
					+ test.getIdTestu();
				logger.debug(query);
				Statement sql = con.createStatement();
				ResultSet result = sql.executeQuery(query);
				while (result.next()) {
					testyMetody.add(createTestyMetodaFormRS(result));
				}
                                result.close();
                                sql.close();
			}
                        con.close();
		} catch (SQLException e) {
			logger.error(e, e);
		}
		return testyMetody;
	}

	private TestView createTestyFormRS(ResultSet rs) throws SQLException {
		TestView tv = new TestView();
		tv.setIdTestu(rs.getInt("id_testu"));
		tv.setIdUlohy(rs.getInt("id_ulohy"));
		tv.setNazevTestu(rs.getString("nazev_testu"));
		tv.setVlozeno(rs.getString("vlozeno"));
		tv.setLogin(rs.getString("login"));
		return tv;
	}

	private TestMetodaView createTestyMetodaFormRS(ResultSet rs)
			throws SQLException {
		TestMetodaView tmv = new TestMetodaView();
		tmv.setIdMetody(rs.getInt("id_metody"));
		tmv.setIdTestu(rs.getInt("id_testu"));
		tmv.setNazevMetody(rs.getString("nazev_metody"));
		return tmv;
	}
}
