<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="cviceni" value="${CVICENI_VIEW}"/>
		<c:set var="uloha" value="${zobrazitUlohuCviceniForm.uloha}"/>
		<c:set var="online" value="${zobrazitUlohuCviceniForm.onLine}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><c:out value="${cviceni.cisloCviceni}"/>. cviceni - <c:out value="${cviceni.nazevCviceni}"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<c:if test="${USER_VIEW.status eq 's'}">
							<tr>
								<td>
									<c:if test="${online eq '1'}">
										<html:link action="/pridatTestovanySouborAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="menulink">
											<bean:message key="link.nahrat.testovany.soubor"/>
										</html:link>
									</c:if>
								</td>
							</tr>
						</c:if>
						<tr>
							<td>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="CVICENI_VIEW" paramProperty="idCviceni" styleClass="menulink">
									<bean:message key="link.zpet.na.cviceni"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<br><div align="center"><h2>Uloha: <c:out value="${uloha.nazevUlohy}"/></h2></div>
					<table width="100%">
						<tr>
							<td class="menu"><b><bean:message key="label.autor"/>:</b></td>
							<td class="menu"><c:out value="${uloha.login}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.vlozeno"/>:</b></td>
							<td class="menu"><c:out value="${uloha.vlozeno}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.jmenotridy"/>:</b></td>
							<td class="menu"><c:out value="${uloha.jmenoTridy}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.popisulohy"/>:</b></td>
							<td class="menu"><c:out value="${uloha.popisUlohy}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.textulohy"/>:</b></td>
							<td class="menu"><c:out value="${uloha.textUlohy}"/></td>
						</tr>
						<tr>
							<td colspan="2" class="menu"><hr width="100%" align="center"></td>
						</tr>
						<c:forEach var="r" varStatus="st" items="${zobrazitUlohuCviceniForm.metody}">
							<tr>
								<td colspan="2" class="menu"><i><b><c:out value="${r.hlavickaMetody}"/></b></i></td>
							</tr>
							<tr>
								<td colspan="2" class="menu"><c:out value="${r.popisMetody}"/></td>
							</tr>
						</c:forEach>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html:html>
