package cz.vsb.jtestserver.action;

import java.util.Properties;

import javax.servlet.ServletException;
import javax.sql.DataSource;

import org.apache.commons.dbcp.BasicDataSourceFactory;

import cz.vsb.jtestserver.util.Configuration;
import cz.vsb.jtestserver.util.Database;

public class ActionServlet extends org.apache.struts.action.ActionServlet {
	private static final long serialVersionUID = 1L;

	public void init() throws ServletException {
		super.init();
		
		// urcime nazev souboru .properties s aktualni konfiguraci
		String file = getInitParameter("jtestserver.properties");
		if (file == null)
			file = "jtestserver";

		// nacteme konfiguraci
		Configuration.init(file);

		//DriverManager.setLogWriter(new PrintWriter(System.err));
		// inicializujeme zdroj dat
		try {
			Properties properties = Configuration
					.getProperties(Configuration.DATASOURCE);
			DataSource ds = BasicDataSourceFactory.createDataSource(properties);
			Database.init(ds);
		} catch (Exception e) {
			throw new ServletException("Nelze vytvorit datovy zdroj ", e);
		}
	}

}
