package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatTestSouborUlohaForm;
import cz.vsb.jtestserver.util.ServerUtil;

public class PridatTestSouborUlohyAction extends Action {

	static Logger logger = Logger.getLogger(PridatTestSouborUlohyAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		PridatTestSouborUlohaForm uploadform = (PridatTestSouborUlohaForm) form;

		if (!ServerUtil.isLoggedIn(request)) {
			return mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			int idUlohy;
			try {
				idUlohy = Integer.parseInt(request.getParameter("idUlohy"));
			} catch (NumberFormatException e) {
				logger.error(e);
				return mapping.findForward(IConstants.FAILURE_KEY);
			}
			uploadform.setIdUlohy(idUlohy);
			return mapping.findForward(IConstants.SUCCESS_KEY);
		}

	}
}
