package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatMetoduForm;
import cz.vsb.jtestserver.service.MetodaManager;
import cz.vsb.jtestserver.util.ServerUtil;

public class SavePridatMetoduAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		PridatMetoduForm metodaform = (PridatMetoduForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			MetodaManager mm = new MetodaManager();
			Integer idMetody = metodaform.getIdMetody();
			if (idMetody == null || idMetody == 0) {
				Integer idUlohy = metodaform.getIdUlohy();
				String hlavickaMetody = metodaform.getHlavickaMetody();
				String popisMetody = metodaform.getPopisMetody();
				mm.addMetodu(idUlohy, popisMetody, hlavickaMetody);
			} else {
				mm.updateMetodu(metodaform.getIdMetody(), metodaform
						.getPopisMetody(), metodaform.getHlavickaMetody());
			}
			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}

}
