package cz.vsb.jtestserver.action;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.SpustitTestyForm;
import cz.vsb.jtestserver.service.CviceniManager;
import cz.vsb.jtestserver.util.ServerUtil;
import cz.vsb.jtestserver.view.CviceniView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;

public class SpustitTestyAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		SpustitTestyForm frm = (SpustitTestyForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			CviceniView cviceniView = (CviceniView) request.getSession()
					.getAttribute(IConstants.CVICENI_VIEW_KEY);
			CviceniManager cm = new CviceniManager();

			if (cm.getOnLine(cviceniView.getIdCviceni(), 
					cviceniView.getIdRozvrhu())) {
				cm.setCviceniOffLine(cviceniView.getIdRozvrhu(), 
						cviceniView.getIdCviceni());
				frm.setOnLine("0");
			} else {
				cm.setCviceniOnLine(cviceniView.getIdRozvrhu(), 
						cviceniView.getIdCviceni());
				frm.setOnLine("1");
			}

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}
}
