package cz.vsb.jtestserver.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.util.MessageResources;
import org.apache.struts.Globals;

public class SaveOdstranitPredmetForm extends ActionForm {

	private static final long serialVersionUID = 1L;

	private String predmet;

	public SaveOdstranitPredmetForm() {
		super();
		resetFields();
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest req) {
		ActionErrors errors = new ActionErrors();

		MessageResources resources = (MessageResources) req
				.getAttribute(Globals.MESSAGES_KEY);

		if (predmet == null || predmet.length() == 0) {
			String loginLabel = resources.getMessage("label.username");
			ActionMessage newError = new ActionMessage(
					"global.error.login.requiredfield", loginLabel);
			errors.add(ActionMessages.GLOBAL_MESSAGE, newError);
		}

		return errors;
	}

	public void reset(ActionMapping mapping, HttpServletRequest request) {
		resetFields();
	}

	protected void resetFields() {
		this.predmet = "";
	}

	public void setPredmet(String nbr) {
		this.predmet = nbr;
	}

	public String getPredmet() {
		return this.predmet;
	}
}