package cz.vsb.jtestserver.service;

import cz.vsb.jtestserver.util.Database;
import cz.vsb.jtestserver.view.SeznamCviceniView;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

public class SeznamCviceniManager {
	static Logger logger = Logger.getLogger(SeznamCviceniManager.class);

	public List<SeznamCviceniView> findSeznamCviceni(int idHodiny) {
		ArrayList<SeznamCviceniView> sezvancv = new ArrayList<SeznamCviceniView>();
		Connection con = null;
		try {
			con = Database.getConnection();
			String query = "SELECT * FROM cviceni WHERE id_rozvrhu = "
					+ idHodiny;
			Statement sql1 = con.createStatement();
			logger.debug(query);
			ResultSet resultsC = sql1.executeQuery(query);
			while (resultsC.next()) {
				SeznamCviceniView scv = createSeznamCviceniFormRS(resultsC);
				query = "SELECT COUNT(id_ulohy) AS pocet_uloh FROM cviceni_uloha WHERE id_cviceni = "
						+ scv.getIdCviceni();
				logger.debug(query);
				Statement sql2 = con.createStatement();
				ResultSet resultCU = sql2.executeQuery(query);
				if (resultCU.next()) {
					scv.setPocetUloh(resultCU.getInt(1));
				} else {
					scv.setPocetUloh(0);
				}
				sezvancv.add(scv);
                                resultCU.close();
                                sql2.close();
			}
                        resultsC.close();
                        sql1.close();
                        con.close();
		} catch (SQLException e) {
			logger.error(e, e);
		}
		return sezvancv;
	}

	private SeznamCviceniView createSeznamCviceniFormRS(ResultSet rs)
			throws SQLException {
		SeznamCviceniView scv = new SeznamCviceniView();
		scv.setIdCviceni(rs.getInt("id_cviceni"));
		scv.setNazevCviceni(rs.getString("nazev_cviceni"));
		scv.setPopisCviceni(rs.getString("popis_cviceni"));
		scv.setCisloCviceni(rs.getInt("cislo_cviceni"));
		return scv;
	}
}
