<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>
<%@ taglib uri="/WEB-INF/x-1_0-rt.tld" prefix="x" %>

<html:html>
    <head>
        <title>
            <bean:message key="title.allpages"/>
        </title>
        <link href="style/styles1.css" type="text/css" rel="StyleSheet" />
        <meta http-equiv="Cache-Control" content="no-cache" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="Content-Language" content="cz" />
        <meta http-equiv="pragma" content="no-cache" />
    </head>
    <body>
        <table border="0" width="100%" align="center">
            <tr>
                <td height="10%" colspan="2" valign="middle" class="menu">
                    <div align="center">
                        <h1><bean:message key="label.test.soubor.add"/></h1>
                    </div>
                </td>
            </tr>
            <tr>
                <td width="20%" align="left" valign="top" class="menu">
                   <%@ include file="user_info.jsp" %>
                </td>
                <td width="80%" align="left" valign="top" class="menu">
                    <x:parse var="vt">
											<c:import url="${pridatTestovanySouborForm.xmlFile}" charEncoding="utf-8"/>
										</x:parse>
                        <div align="center">
                            <h2><bean:message key="label.xml.vysledky.testu"/></h2>
                        </div>
                        <table width="100%">
                            <tr>
                                <th><bean:message key="label.xml.kmeno.ulohy"/></th>
                                <th><bean:message key="label.xml.autor"/></th>
                                <th><bean:message key="label.xml.datum"/></th>
                                <th><bean:message key="label.xml.cas"/></th>
                                <th><bean:message key="label.xml.pocet.testu"/></th>
                                <th><bean:message key="label.xml.pocet.erroru"/></th>
                                <th><bean:message key="label.xml.pocet.failu"/></th>
                                <th><bean:message key="label.xml.celkovy.cas"/></th>
                            </tr>
                            <tr>
                                <td class="menu"><x:out select="$vt//testsuites/@name" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@login" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@datum" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@cas" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@tests" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@errors" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@failures" /></td>
                                <td class="menu"><x:out select="$vt//testsuites/@time" /></td>
                            </tr>
                        </table>
                        <h3><bean:message key="label.xml..podrobny.popis"/></h3>
                        <table border="1">
                            <tr>
                                <th><bean:message key="label.xml.jmeno.testsuite"/></th>
                                <th><bean:message key="label.xml.jmeno.testu"/></th>
                                <th><bean:message key="label.xml.cas.testu"/></th>
                                <th><bean:message key="label.xml.popis.chyby"/></th>
                            </tr>
                                <x:forEach select="$vt/testsuites/testsuite">
                                    <x:forEach select="testcase"> 
                                        <tr>
                                            <td class="menu"><x:out select="../@name" /></td>
                                            <td class="menu"><x:out select="@name" /></td>
                                            <td class="menu"><x:out select="@time" /></td>
                                            <td class="menu">
                                                <x:choose>
                                                    <x:when select="failure">
                                                        <x:out select="failure/@message" />
                                                    </x:when>
                                                    <x:when select="error">
                                                        <x:out select="error/@message" />
                                                    </x:when>
                                                    <x:otherwise>
                                                        <bean:message key="label.xml.test.ok"/>
                                                    </x:otherwise>
                                                </x:choose>
                                            </td>
                                        </tr>
                                    </x:forEach>
                                </x:forEach>
                            </table> 
                    <hr width="100%" align="center"/>
                    <div align="center" class="info">
                        <bean:message key="label.file.addedit"/>
                    </div>
                    <bean:message  key="label.continue"/>
                    <html:link page="/zobrazitUlohuCviceniAction.do" paramId="idUlohy" paramName="pridatTestovanySouborForm" paramProperty="idUlohy" styleClass="menulink">
                        <bean:message key="label.here"/>
                    </html:link>
                </td>
            </tr>
        </table>
    </body>
</html:html>
