<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="cviceni" value="${zobrazCviceniDetailForm.cviceniView}"/>
		<c:set var="online" value="${zobrazCviceniDetailForm.onLine}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><c:out value="${cviceni.nazevCviceni}"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<c:if test="${USER_VIEW.status eq 'u'}">
							<tr>
								<td>
									<html:link page="/pridatCviceniAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="menulink">
										<bean:message key="link.upravit.cviceni"/>
									</html:link>
								</td>
							</tr>
							<tr>
								<td>
									<html:link page="/odstranitCviceniAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="menulink">
										<bean:message key="link.odstranit.cviceni"/>
									</html:link>
								</td>
							</tr>
							<tr>
								<td>
									<html:link page="/pridatUlohuCviceniAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="menulink">
										<bean:message key="link.pridat.ulohu.cviceni"/>
									</html:link>
								</td>
							</tr>
							<tr>
								<td>
									<c:if test="${online eq '0'}">
										<html:link action="/spustitTestyAction.do" styleClass="menulink">
											<bean:message key="link.cviceni.testy.on"/>
										</html:link>
									</c:if>
									<c:if test="${online eq '1'}">
										<html:link action="/spustitTestyAction.do" styleClass="menulink">
											<bean:message key="link.cviceni.testy.off"/>
										</html:link>
									</c:if>
								</td>
							</tr>
						</c:if>
						<tr>
							<td>
								<html:link action="/zobrazVysledkyStudentuAction.do" styleClass="menulink">
									<bean:message key="link.cviceni.zobrazit.vysledky"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/zobrazSeznamCviceniAction.do" paramId="idHodiny" paramName="HODINA_VIEW" paramProperty="id" styleClass="menulink">
									<bean:message key="link.zpet.seznam.cviceni"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<table width="100%">
						<tr>
							<th colspan="2" align="left">
								<b><bean:message key="label.cviceni.cislo"/></b><c:out value="${cviceni.cisloCviceni}"/>
							</th>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.cviceni.nazev"/></b></td>
							<td width="75%" class="menu"><c:out value="${cviceni.nazevCviceni}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.cviceni.popis"/></b></td>
							<td width="75%" class="menu"><c:out value="${cviceni.popisCviceni}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.cviceni.stav"/></b></td>
							<td width="75%" class="menu">
								<c:if test="${online eq '1'}">
									<bean:message key="label.cviceni.stav.on"/>
								</c:if>
								<c:if test="${online eq '0'}">
									<bean:message key="label.cviceni.stav.off"/>
								</c:if>
							</td>
						</tr>
					</table>
					<hr width="100%" align="center"/>
					<table width="100%">
						<tr>
							<td colspan="2" class="menu"><div align="left"><b><bean:message key="label.cviceni.seznam.uloh"/></b></div></td>
						</tr>
							<c:forEach var="r" varStatus="st" items="${zobrazCviceniDetailForm.ulohy}">
								<tr>
									<td colspan="2" class="menu">
										<div align="left">
											<c:if test="${USER_VIEW.status eq 'u'}">
												<html:link page="/odstranitUlohuCviceniAction.do" paramId="idUlohy" paramName="r" paramProperty="idUlohy" styleClass="link">
													<html:image srcKey="img.delete" altKey="img.delete.alt"/>
												</html:link>
											</c:if>
											<html:link page="/zobrazitUlohuCviceniAction.do" paramId="idUlohy" paramName="r" paramProperty="idUlohy" styleClass="link">
												<c:out value="${r.nazevUlohy}"/>
											</html:link>
										</div>
									</td>
								</tr>
							</c:forEach>
						</table>
				</td>
			</tr>
		</table>
	</body>
</html:html>
