<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="cviceni" value="${CVICENI_VIEW}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.zobrazeni.vysledku.studentu"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="CVICENI_VIEW" paramProperty="idCviceni" styleClass="menulink">
									<bean:message key="link.zpet.na.cviceni"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<div align="left"><h4><c:out value="${cviceni.cisloCviceni}"/>. cviceni: <c:out value="${cviceni.nazevCviceni}"/> - Vysledky</h4></div>
					<table>
						<tr>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.login"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.prijmeni"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.nazev"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.pokusu"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.error"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.failu"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.cas"/></th>
							<th><bean:message key="label.zobrazeni.vysledku.studentu.vysledek"/></th>
						</tr>
						<c:forEach var="r" varStatus="st" items="${zobrazVysledkyStudentuForm.vysledky}">
							<tr>
								<td class="menu"><c:out value="${r.login}"/></td>
								<td class="menu"><c:out value="${r.prijmeni}"/> <c:out value="${r.jmeno}"/></td>
								<td class="menu"><c:out value="${r.nazevUlohy}"/></td>
								<td class="menu"><c:out value="${r.pocetPokusu}"/></td>
								<td class="menu"><c:out value="${r.pocetError}"/></td>
								<td class="menu"><c:out value="${r.pocetFail}"/></td>
								<td class="menu"><c:out value="${r.cas}"/></td>
								<td class="menu">
									<c:if test="${r.vysledek eq '0'}">
										<bean:message key="label.zobrazeni.vysledku.studentu.vysledek.ok"/>
									</c:if>
									<c:if test="${r.vysledek ne '0'}">
										<bean:message key="label.zobrazeni.vysledku.studentu.vysledek.error"/>
									</c:if>
								</td>
							</tr>
						</c:forEach>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html:html>
